WHM 11.34 - Failing PHP Configuration under cPanel

tecnotronico

Active Member
Apr 17, 2004
28
1
153
Fellows,

Yesterday we have updated the majority of our servers to WHM 11.34.0 and now we have a problem with the function PHP Configuration in cPanel.

Normally, PHP Configuration allows us to change between PHP versions (4, 5 or default), however, after this update it can’t be done.

The errors shown are:

The ".php" file extension will be processed according to the system's default settings.
An error was encountered while configuring which version of PHP will process the ".php" file extension.

Then if you clic on “details” it shows:

[2012-10-17 09:41:05 -0430] die [update_php_mime_types] Attempting to drop privileges as a normal user with RUID 790 at /usr/local/cpanel/Cpanel/AccessIds/ReducedPrivileges.pm line 96 Cpanel::AccessIds::ReducedPrivileges::_allowed_to_reduce_privileges() called at /usr/local/cpanel/Cpanel/AccessIds/ReducedPrivileges.pm line 71 Cpanel::AccessIds::ReducedPrivileges::call_as_user(CODE(0x8ff3588), 790, 785) called at /usr/local/cpanel/bin/update_php_mime_types line 175 eval {...} called at /usr/local/cpanel/bin/update_php_mime_types line 128 exit level [die] [pid=2029] (Attempting to drop privileges as a normal user with RUID 790)

Somebody knows Why it happens?

Thanks in advance for your very appreciated prompt support.

Daniel
 

tecnotronico

Active Member
Apr 17, 2004
28
1
153
Here is the answer from the cPanel Ticket/Support people:

Hello,

I have been investigating your issue, and at this time it does appear that our developers are aware of the problem; the case number is 61825. Once the issue is resolved in a new build, the ChangeLog for 11.34 will be updated to reflect the fix.

If you have any further questions or concerns, please feel free to contact us again.

--
Sloane Bernstein
Technical Analyst
cPanel, Inc.